Fixed in snapd version 2.45.2 Improper Privilege Management Vulnerability

Summary

Fixed in snapd version 2.45.2 suffers from improper privilege management vulnerability

Credit:

The information has been provided by Vendor

The original article can be found at:https://ubuntu.com/USN-4424-1


Details

Cloud-init as managed by snapd on Ubuntu Core 16 and Ubuntu Core 18 devices was run without restrictions on every boot, which a physical attacker could exploit by crafting cloud-init user-data/meta-data via external media to perform arbitrary changes on the device to bypass intended security mechanisms such as full disk encryption. This issue did not affect traditional Ubuntu systems. Fixed in snapd version 2.45.2, revision 8539 and core version 2.45.2, revision 9659. 

 

Vulnerable Systems:

Fixed in snapd version 2.45.2

Fixed in snapd revision 8539 

Fixed in snapd core version 2.45.2

Fixed in snapd revision 9659

 

CVE Information:

CVE-2020-11933

 

Disclosure Timeline:
Published Date:7/29/2020

Categories: News